# Generated from but-0.1.8.gem by gem2rpm -*- rpm-spec -*-
%global gem_name but

Name: rubygem-%{gem_name}
Version: 0.1.8
Release: 1%{?dist}
Summary: Tools, to help users to improve their experience with the BCF infrastructure
License: MIT
URL: https://git.computational.bio.uni-giessen.de/rmueller/bcf_user_tools
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6.0
# BuildRequires: rubygem(rspec) >= 3.9.0
# BuildRequires: rubygem(cucumber) >= 4.0.0
# BuildRequires: rubygem(aruba) >= 1.0.1
# BuildRequires: rubygem(rubocop) >= 0.84.0
# BuildRequires: rubygem(rubocop) < 0.85
# BuildRequires: rubygem(guard) >= 2.16.2
# BuildRequires: rubygem(guard-compat) >= 1.2.1
# BuildRequires: rubygem(guard-rspec) >= 4.7.3
# BuildRequires: rubygem(guard-cucumber) >= 3.0.0
BuildArch: noarch

%description
BCF admins have a hard live. Their user's don't keep their $HOMES and other
working places clean. It appears that some users don't know that they use too
much space in their home or don't clean used directories on cluster (or other)
machines. This tools helps users find unused and unwanted directories, which
could make BCF admins happier.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# cucumber
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/but
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bash_idea_scripts
%{gem_instdir}/bin
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/but.gemspec

%changelog
* Mon Aug 23 2021 mockbuilder - 0.1.8-1
- Initial package
